Skip to main content
GET
Get a Group

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier for the group (service-generated).

Required string length: 18 - 26

Response

Group successfully retrieved.

Represents the metadata of a group. Member lists are retrieved via a separate endpoint.

id
string
required

Unique identifier for the group (service-generated).

Required string length: 18 - 26
Pattern: ^grp_[1-9a-km-zA-HJ-NP-Z]{14,22}$
name
string
required

Name of the group. Must be unique within its connection. Must contain between 1 and 128 printable ASCII characters.

Required string length: 1 - 128
Pattern: ^[\x20-\x7E]+$
tenant_name
string
required

Identifier for the tenant this group belongs to.

Minimum string length: 3
Pattern: ^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$
created_at
string<date-time>
required

Timestamp of when the group was created.

updated_at
string<date-time>
required

Timestamp of when the group was last updated.

external_id
string

External identifier for the group, often used for SCIM synchronization. Max length of 256 characters.

Maximum string length: 256
connection_id
string<connection-id>

Identifier for the connection this group belongs to (if a connection group).